{# heredando header y footer #}
{% extends "./plantilla.html" %}
{% load static %}
  {% block contenido %}

    <br>
    <div class="container-fluid py-4">
      <div class="row">
        <div class="col-xl-2 col-sm-6 mb-xl-0 mb-9">
        </div>
        <div class="col-xl-10 col-sm-6 mb-xl-0 mb-9">
          <h3>REGISTRO DE ASIGNATURAS</h3>
          <form class="" action="/procesarActualizacionAsignatura/" method="post" enctype="multipart/form-data" id='frm_nuevo_asignatura'>
            {% csrf_token %}
            <div class="row">
              <div class="col-md-6">
                <input type="hidden" name="idAsignaturaGEPT" value="{{asignatura.idAsignaturaGEPT}}">
                <b>SELECCIONE EL CURSO:</b>
                <select  name="id_curso"  id="id_curso"  class="selectpicker" required>
                  <option value="">-- Seleccione el curso --</option>
                  {% for curso in cursos %}
                  <option value="{{curso.idCursoGEPT}}">{{curso.nivelCursoGEPT}}</option>
                  {% endfor %}
                </select>
                <script type="text/javascript">
                  document.getElementById("id_curso").value="{{asignatura.curso.idCursoGEPT}}"
                </script>
                <br>
                <b>NOMBRE:</b>
                <input type="text" name="nombreAsignaturaGEPT" id="nombreAsignaturaGEPT" value="{{asignatura.nombreAsignaturaGEPT}}" placeholder="Ingrese el nombre de la Asignatura" class="form-control" required>
                <br>
                <b>CREDITOS:</b>
                <input type="number" name="creditosAsignaturaGEPT" id="creditosAsignaturaGEPT" value="{{asignatura.creditosAsignaturaGEPT}}" placeholder="Ingrese los creditos" class="form-control" required>
                <br>
                <b>HORAS SEMANALES:</b>
                <input type="text" name="horaSemanalAsignaturaGEPT" id="horaSemanalAsignaturaGEPT" value="{{asignatura.horaSemanalAsignaturaGEPT}}" placeholder="Ingrese el Profesor" class="form-control" required>
                <br>
                <b>SEMESTRE:</b>
                <input type="text" name="semestreAsignaturaGEPT" id="semestreAsignaturaGEPT" value="{{asignatura.semestreAsignaturaGEPT}}" placeholder="Ingrese el Profesor" class="form-control" required>
                <br>
                <br>
              </div>
              <div class="col-md-6">
                <b>FECHA DE INICIO:</b>
                <input type="date" name="fechaInicioAsignaturaGEPT" id="fechaInicioAsignaturaGEPT" value="{{asignatura.fechaInicioAsignaturaGEPT|date:'Y-m-d'}}" placeholder="Ingrese la fecha de inicio" class="form-control" required>
                <br>
                <b>FECHA DE FINALIZACIÓN:</b>
                <input type="date" name="fechaFinalizacionAsignaturaGEPT" id="fechaFinalizacionAsignaturaGEPT" value="{{asignatura.fechaFinalizacionAsignaturaGEPT|date:'Y-m-d'}}" placeholder="Ingrese la fecha de finalizacion" class="form-control" required>
                <br>
                <b>PTOFESOR:</b>
                <input type="text" name="profesorAsignaturaGEPT" id="profesorAsignaturaGEPT" value="{{asignatura.profesorAsignaturaGEPT}}" placeholder="Ingrese el Profesor" class="form-control" required>
                <br>
                <b>SILABO:</b>
                {% if asignatura.silaboAsignaturaGEPT %}
                  <a href="{{asignatura.silaboAsignaturaGEPT.url}}" target="_blank">VER PDF</a>
                {% endif %}
                <input type="file" name="silaboAsignaturaGEPT" id="silaboAsignaturaGEPT" accept="application/pdf" class="form-control">
                <br>
              </div>
            </div>
            <center>
              <button type="submit" name="button" class="btn btn-warning bg-gradient-warning">Actualizar</button>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              <a type="reset" name="button" class="btn btn-danger bg-gradient-danger" href="{% url 'listadoAsignaturas' %}">Cancelar</a>
            </center>
          </form>
          <hr>
        </div>
      </div>
    </div>
    <script type="text/javascript">
      $(document).ready(function() {
        $("#frm_nuevo_asignatura").validate({
          rules: {
            "id_curso": {
              required: true
            },
            "nombreAsignaturaGEPT": {
              required: true,
              lettersOnly: true
            },
            "creditosAsignaturaGEPT": {
              required: true
            },
            "fechaInicioAsignaturaGEPT": {
              required: true
            },
            "fechaFinalizacionAsignaturaGEPT": {
              required: true
            },
            "profesorAsignaturaGEPT": {
              required: true,
              lettersOnly: true
            },
            "horaSemanalAsignaturaGEPT": {
              required: true
            },
            "semestreAsignaturaGEPT": {
              required: true
            }
          },
          messages: {
            "id_curso": {
              required: "Debe seleccionar un curso"
            },
            "nombreAsignaturaGEPT": {
              required: "Debe ingresar el nombre de la asignatura",
              lettersOnly: "Ingrese solo letras"
            },
            "creditosAsignaturaGEPT": {
              required: "Debe ingresar los créditos de la asignatura"
            },
            "fechaInicioAsignaturaGEPT": {
              required: "Debe ingresar la fecha de inicio"
            },
            "fechaFinalizacionAsignaturaGEPT": {
              required: "Debe ingresar la fecha de finalización"
            },
            "profesorAsignaturaGEPT": {
              required: "Debe ingresar el nombre del profesor",
              lettersOnly: "Ingrese solo letras"
            },
            "horaSemanalAsignaturaGEPT": {
              required: "Debe ingresar el número de horas a la semana"
            },
            "semestreAsignaturaGEPT": {
              required: "Debe ingresar el semestre de la asignatura"
            }
          }
        });

        // Agregar regla de método personalizado para letras solo
        $.validator.addMethod("lettersOnly", function(value, element) {
          return this.optional(element) || /^[a-zA-Z\s]+$/.test(value);
        }, "Ingrese solo letras");
      });
    </script>
    <script>
      $(document).ready(function () {
          $("#silaboAsignaturaGEPT").fileinput({
            //showUpload:false
            //showRemove: false,
            language:'es',
          });
      });
    </script>
  {% endblock %}
